Bug 132739 - REGRESSION(CMAKE): [GTK] JavaScriptCore API tests are not built anymore
Summary: REGRESSION(CMAKE): [GTK] JavaScriptCore API tests are not built anymore
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk, Regression
Depends on: 132686
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-09 05:55 PDT by Carlos Garcia Campos
Modified: 2014-05-12 01:58 PDT (History)
7 users (show)

See Also:


Attachments
Patch (3.03 KB, patch)
2014-05-09 06:35 PDT, Carlos Garcia Campos
andersca: review+
Details | Formatted Diff | Diff
Patch for landing (32.31 KB, patch)
2014-05-11 00:11 PDT, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff
Patch for landing (3.41 KB, patch)
2014-05-11 00:12 PDT, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2014-05-09 05:55:59 PDT
We lost these ones too with the switch to CMAKE
Comment 1 Carlos Garcia Campos 2014-05-09 06:35:47 PDT
Created attachment 231151 [details]
Patch
Comment 2 Martin Robinson 2014-05-09 09:29:12 PDT
Comment on attachment 231151 [details]
Patch

These test are platform independent right? Perhaps they should go into the shared CMakeLists.txt file like the other shared tests?
Comment 3 Carlos Garcia Campos 2014-05-11 00:10:41 PDT
(In reply to comment #2)
> (From update of attachment 231151 [details])
> These test are platform independent right? Perhaps they should go into the shared CMakeLists.txt file like the other shared tests?

You are right!
Comment 4 Carlos Garcia Campos 2014-05-11 00:11:10 PDT
Created attachment 231255 [details]
Patch for landing
Comment 5 Carlos Garcia Campos 2014-05-11 00:12:52 PDT
Created attachment 231256 [details]
Patch for landing

Oops submitted the wrong patch, sorry.
Comment 6 WebKit Commit Bot 2014-05-11 00:15:52 PDT
Attachment 231256 [details] did not pass style-queue:


ERROR: Tools/TestWebKitAPI/CMakeLists.txt:18:  Alphabetical sorting problem. "JavaScriptCore" should be before "WTF".  [list/order] [5]
Total errors found: 1 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Carlos Garcia Campos 2014-05-12 01:58:34 PDT
Committed r168615: <http://trac.webkit.org/changeset/168615>